Bug 518288 - MSNEK4K The key you just pressed isn't supported by Qt
MSNEK4K The key you just pressed isn't supported by Qt
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-19 14:18 EDT by M. Hagoort
Modified: 2010-06-28 10:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:11:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M. Hagoort 2009-08-19 14:18:13 EDT
Description of problem:

The Microsoft Natural Ergonomic Keyboard 4000 (MSNEK4K) is supported thru the msnek4k kernel module.
Problem is that the Fn+F* keys are not supported by Qt

Version-Release number of selected component (if applicable): 4.5.2-1.fc11 (x86_64)


How reproducible: Always


Steps to Reproduce:
1. System Settings -> General -> Computer Administration -> Keyboard & Mouse
2. Edit a Keyboard Shortcut
3. Press one of F2 - F9, F11
  
Actual results: The key you just pressed isn't supported by Qt


Expected results: A key-binding


Additional info:

F2: KeyPress event, serial 31, synthetic NO, window 0x4000001,
    root 0x1a7, subw 0x0, time 3370099, (598,-172), root:(603,557),
    state 0x10, keycode 139 (keysym 0xff65, Undo), same_screen YES,

F3: KeyPress event, serial 33, synthetic NO, window 0x4000001,
    root 0x1a7, subw 0x0, time 3375258, (598,-172), root:(603,557),
    state 0x10, keycode 190 (keysym 0xff66, Redo), same_screen YES,
    XKeysymToKeycode returns keycode: 137                          

F4: KeyPress event, serial 33, synthetic NO, window 0x4000001,
    root 0x1a7, subw 0x0, time 3378555, (598,-172), root:(603,557),
    state 0x10, keycode 189 (keysym 0x1008ff68, XF86New), same_screen YES,

F5: KeyPress event, serial 33, synthetic NO, window 0x4000001,
    root 0x1a7, subw 0x0, time 3380796, (598,-172), root:(603,557),
    state 0x10, keycode 142 (keysym 0x1005ff73, SunOpen), same_screen YES,

F6: KeyPress event, serial 33, synthetic NO, window 0x4000001,
    root 0x1a7, subw 0x0, time 3384444, (598,-172), root:(603,557),
    state 0x10, keycode 214 (keysym 0x1008ff56, XF86Close), same_screen YES,
    XKeysymToKeycode returns keycode: 182                                   

F7: KeyPress event, serial 33, synthetic NO, window 0x4000001,
    root 0x1a7, subw 0x0, time 3386747, (598,-172), root:(603,557),
    state 0x10, keycode 240 (keysym 0x1008ff72, XF86Reply), same_screen YES,

F8: KeyPress event, serial 33, synthetic NO, window 0x4000001,
    root 0x1a7, subw 0x0, time 3387923, (598,-172), root:(603,557),
    state 0x10, keycode 241 (keysym 0x1008ff90, XF86MailForward), same_screen YES,

F9: KeyPress event, serial 33, synthetic NO, window 0x4000001,
    root 0x1a7, subw 0x0, time 3391483, (598,-172), root:(603,557),
    state 0x10, keycode 239 (keysym 0x1008ff7b, XF86Send), same_screen YES,
    XKeysymToKeycode returns keycode: 153

F11: KeyPress event, serial 33, synthetic NO, window 0x4000001,
    root 0x1a7, subw 0x0, time 3398483, (598,-172), root:(603,557),
    state 0x10, keycode 242 (keysym 0x1008ff77, XF86Save), same_screen YES,
Comment 1 Kevin Kofler 2009-08-19 15:03:40 EDT

*** This bug has been marked as a duplicate of bug 475247 ***
Comment 2 M. Hagoort 2009-09-13 10:03:40 EDT
Still not working in qt-4.5.2-3
Comment 3 Rex Dieter 2009-09-13 10:15:14 EDT
Something very funny is going on if standard function keys aren't recognized.
Comment 4 M. Hagoort 2009-09-13 20:23:01 EDT
Not the standard F keys F1 - F12 but the special ones with F-Lock turned off
http://en.wikipedia.org/wiki/F-Lock
Comment 5 Bug Zapper 2010-04-28 05:50:29 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 10:11:09 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.